<?= $this->extend('templates/base') ?>

<!-- title -->
<?= $this->section('title') ?>Prestador<?= $this->endSection() ?>

<!-- content -->
<?= $this->section('content') ?>

<?= view('Myth\Auth\Views\_message_block') ?>

<div class="card mb-5">
    <div class="card-header">
        Registra tus datos, estos se validarán por RH
    </div>
    <div class="card-body">
        <form action="<?= route_to('registro') ?>" method="POST">
            <?= csrf_field() ?>

            <!-- Datos personales -->
            <h5>Datos Personales</h5>
            <div class="row mb-3">
                <div class="col-md-3">
                    <label class="form-label" for="">Nombre*</label>
                    <input name="nombre" type="text" class="form-control <?php if (session('errors.nombre')) : ?>is-invalid<?php endif ?>" value="<?php if (old('nombre')) echo old('nombre');
                                                                                                                                                    else if ($datos) echo $datos['nombre'];
                                                                                                                                                    ?>" required <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-3">
                    <label class="form-label" for="">Apellido Paterno*</label>
                    <input name="apaterno" type="text" class="form-control <?php if (session('errors.apaterno')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('apaterno')) echo old('apaterno');
                                                                                                                                                                else if ($datos) echo $datos['apaterno'];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-3">
                    <label class="form-label" for="">Apellido Materno*</label>
                    <input name="amaterno" type="text" class="form-control <?php if (session('errors.amaterno')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('amaterno')) echo old('amaterno');
                                                                                                                                                                else if ($datos) echo $datos['amaterno'];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-3">
                    <label class="form-label" for="">Fecha de Nacimiento*</label>
                    <input name="fechanac" type="date" class="form-control <?php if (session('errors.fechanac')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('fechanac')) echo old('fechanac');
                                                                                                                                                                else if ($datos) echo explode(' ', $datos['fechanac'])[0];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
            </div>
            <!-- Contacto -->
            <div class="row mb-4">
                <div class="col-md-6">
                    <label class="form-label" for="">E-mail*</label>
                    <input name="email" type="email" class="form-control <?php if (session('errors.email')) : ?>is-invalid<?php endif ?>" readonly value="<?= isset($datos['email']) ? $datos['email'] : $email ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-3">
                    <label class="form-label" for="">Teléfono Fijo</label>
                    <input name="telefono" type="text" class="form-control <?php if (session('errors.telefono')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('telefono')) echo old('telefono');
                                                                                                                                                                else if ($datos) echo $datos['telefono'];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-3">
                    <label class="form-label" for="">Celular*</label>
                    <input name="celular" type="text" class="form-control <?php if (session('errors.celular')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('celular')) echo old('celular');
                                                                                                                                                                else if ($datos) echo $datos['celular'];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
            </div>
            <hr class="mb-5">
            <!-- Dirección -->
            <h5>Dirección</h5>
            <div class="row mb-4">
                <div class="col-md-4">
                    <label class="form-label" for="">Domicilio*</label>
                    <input name="direccion" type="text" class="form-control <?php if (session('errors.direccion')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('direccion')) echo old('direccion');
                                                                                                                                                                    else if ($datos) echo $datos['direccion'];
                                                                                                                                                                    ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-4">
                    <label class="form-label" for="">Colonia*</label>
                    <input name="colonia" type="text" class="form-control <?php if (session('errors.colonia')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('colonia')) echo old('colonia');
                                                                                                                                                                else if ($datos) echo $datos['colonia'];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-4">
                    <label class="form-label" for="">Municipio*</label>
                    <input name="municipio" type="text" class="form-control <?php if (session('errors.municipio')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('municipio')) echo old('municipio');
                                                                                                                                                                    else if ($datos) echo $datos['municipio'];
                                                                                                                                                                    ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-2">
                    <label class="form-label" for="">Código Postal*</label>
                    <input name="cp" type="text" class="form-control <?php if (session('errors.cp')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('cp')) echo old('cp');
                                                                                                                                                    else if ($datos) echo $datos['cp'];
                                                                                                                                                    ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
            </div>
            <hr class="mb-5">
            <!-- Educación -->
            <h5 class="mb-3">Educación*</h5>
            <div class="row mb-4">
                <div class="col-md-2">
                    <!-- NO SE GUARDA EN NING�N LUGAR -->
                    <label class="form-label" for="">Código de Estudiante*</label>
                    <input name="codigo_estudiante" type="text" class="form-control" required value="<?php if (old('codigo_estudiante')) echo old('codigo_estudiante');
                                                                                                        else if ($datos) echo $datos['codigo_estudiante'];
                                                                                                        ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-5">
                    <label class="form-label" for="">Centro Universitario*</label>
                    <select name="idescuela" class="form-select <?php if (session('errors.idescuela')) : ?>is-invalid<?php endif ?>" required <?= isset($revisar) ? 'disabled' : '' ?>>
                        <option disabled selected value>---</option>
                        <?php foreach ($escuelas as $escuela) : ?>
                            <option value="<?= esc($escuela['idescuela']) ?>" <?php if (isset($datos) && $escuela['idescuela'] == $datos['idescuela']) echo 'selected="selected"'; ?>><?= esc($escuela['nombrecorto']) ?></option>
                        <?php endforeach ?>
                    </select>
                </div>
                <div class="col-md-5">
                    <label class="form-label" for="">Carrera*</label>
                    <input name="carrera" type="text" class="form-control <?php if (session('errors.carrera')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('carrera')) echo old('carrera');
                                                                                                                                                                else if ($datos) echo $datos['carrera'];
                                                                                                                                                                ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-2">
                    <label class="form-label" for="">Grado*</label>
                    <input name="grado" type="text" class="form-control <?php if (session('errors.grado')) : ?>is-invalid<?php endif ?>" required value="<?php if (old('grado')) echo old('grado');
                                                                                                                                                            else if ($datos) echo $datos['grado'];
                                                                                                                                                            ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-5">
                    <label class="form-label">Turno*</label>
                    <select name="turno" class="form-select <?php if (session('errors.turno')) : ?>is-invalid<?php endif ?>" required <?= isset($revisar) ? 'disabled' : '' ?>>
                        <option hidden disabled selected value>---</option>
                        <option value="1" <?php if (isset($datos) && $datos['turno'] == 1) echo 'selected="selected"'; ?>>Matutino</option>
                        <option value="2" <?php if (isset($datos) && $datos['turno'] == 2) echo 'selected="selected"'; ?>>Verspertino</option>
                        <option value="3" <?php if (isset($datos) && $datos['turno'] == 3) echo 'selected="selected"'; ?>>Mixto</option>
                    </select>
                </div>
            </div>
            <hr class="mb-5">
            <!--  -->
            <h5 class="mb-3">Servicio Social / Prácticas Profesionales</h5>
            <div class="row mb-4">
                <div class="col-md-3">
                    <label class="form-label" for="">Elegiste Coparmex para realizar*</label>
                    <select name="tipo" class="form-select <?php if (session('errors.tipo')) : ?>is-invalid<?php endif ?>" required <?= isset($revisar) ? 'disabled' : '' ?>>
                        <option hidden disabled selected value>---</option>
                        <option value="1" <?php if (isset($datos) && $datos['tipo'] == 1) echo 'selected="selected"'; ?>>Servicio Social</option>
                        <option value="2" <?php if (isset($datos) && $datos['tipo'] == 2) echo 'selected="selected"'; ?>>Prácticas Profesionales</option>
                    </select>
                </div>
                <div class="col-md-6">
                    <!-- NO SE GUARDA CAMPO EN NING�N LUGAR -->
                    <label class="form-label">Disponibilidad de horario*</label>
                    <select name="horario" class="form-select" <?= isset($revisar) ? 'disabled' : '' ?>>
                        <option value="1" <?php if (isset($datos) && $datos['horario'] == 1) echo 'selected="selected"'; ?>>08:00 am a 12:00 pm</option>
                        <option value="2" <?php if (isset($datos) && $datos['horario'] == 2) echo 'selected="selected"'; ?>>09:00 am a 01:00 pm</option>
                        <option value="3" <?php if (isset($datos) && $datos['horario'] == 3) echo 'selected="selected"'; ?>>01:00 pm a 05:00 pm</option>
                        <option value="4" <?php if (isset($datos) && $datos['horario'] == 4) echo 'selected="selected"'; ?>>02:00 pm a 06:00 pm</option>
                    </select>
                </div>
                <div class="col-md-3">
                    <label class="form-label" for="">Fecha programada de inicio*</label>
                    <input name="fechainicio" type="date" class="form-control <?php if (session('errors.fechainicio')) : ?>is-invalid<?php endif ?>" value="<?php if (old('fechainicio')) echo old('fechainicio');
                                                                                                                                                            else if ($datos) echo explode(' ', $datos['fechainicio'])[0];
                                                                                                                                                            ?>" required <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-2">
                    <label class="form-label" for="">Horas Totales a Realizar*</label>
                    <input name="horas_servicio" type="number" class="form-control <?php if (session('errors.horas_servicio')) : ?>is-invalid<?php endif ?>" min=1 required value="<?php if (old('horas_servicio')) echo old('horas_servicio');
                                                                                                                                                                                    else if ($datos) echo $datos['horas_servicio'];
                                                                                                                                                                                    ?>" <?= isset($revisar) ? 'disabled' : '' ?>>
                </div>
                <div class="col-md-5 mt-md-2">
                    <label class="form-label">Departamento al cual fuiste asignado <span class="small">(Si aplica)</span></label>
                    <select name="iddepartamento" class="form-select" <?= isset($revisar) ? 'disabled' : '' ?>>
                        <option selected value>---</option>
                        <!-- Añadir opción: no sé -->
                        <?php foreach ($departamentos as $departamento) : ?>
                            <option value="<?= esc($departamento['iddepartamento']) ?>"><?= esc($departamento['nombre']) ?></option>
                        <?php endforeach ?>
                    </select>
                </div>
            </div>
            <div class="<?= isset($revisar) ? 'd-none' : '' ?>">
                <input type="checkbox" required <?= isset($revisar) ? 'disabled' : '' ?>>
                <label>
                    Acepto el
                    <a href="https://coparmexjal.org.mx/pdf/aviso-privacidad.pdf">aviso de privacidad</a>
                </label>
            </div>


            <?php if (isset($revisar)) : ?>
                <!-- BOTONES PARA APROBAR / RECHAZAR SOLICITUD-->
                <div class="text-end">
                    <a href="<?= route_to('admin_solicitudes') ?>" class="btn btn-primary">Regresar a lista</a>
                    <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#rechazarModal">
                        Rechazar solicitud
                    </button>
                    <a href="<?= route_to('admin_solicitud_aprobar', $id) ?>" class="btn btn-success">Aprobar solicitud</a>
                </div>
            <?php else : ?>
                <!-- BOTONES PARA ENVIAR O EDITAR -->
                <div class="text-end">
                    <?php if ($datos) : ?>
                        <a class="btn btn-danger me-3" href="<?= route_to('home') ?>">Cancelar</a>
                    <?php endif ?>
                    <button class="btn btn-primary" type="submit"><?= !empty($datos) ? 'Actualizar' : 'Enviar' ?></button>
                </div>
            <?php endif ?>



        </form>
    </div>
</div>

<?php if (isset($revisar)) : ?>
    <!-- Modal -->
    <div class="modal fade" id="rechazarModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Rechazar Solicitud</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="<?= route_to('admin_solicitud_rechazar', $id) ?>" method="POST">
                    <?= csrf_field() ?>

                    <div class="modal-body">
                        <div class="mb-3">
                            <label for="motivo" class="form-label">Motivo <span class="text-muted">(Este mensaje se le mostrará al solicitante)</span></label>
                            <textarea class="form-control" id="motivo" name="motivo" rows="3" required></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-danger">Rechazar Solicitud</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php endif ?>

<?= $this->endSection() ?>